Package org.apache.felix.configurator.impl.logger

## Class SystemLogger

- java.lang.Object
- - org.apache.felix.configurator.impl.logger.SystemLogger

    public final class SystemLogger
    extends Object

### Constructor Summary

Constructors
`SystemLogger()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `debug​(String message)`
`static void` `debug​(String message, Throwable cause)`
`static void` `destroy()`
`static void` `error​(String message)`
`static void` `error​(String message, Throwable cause)`
`static void` `info​(String message)`
`static void` `init​(org.osgi.framework.BundleContext bundleContext)`
`static void` `warning​(String message)`
`static void` `warning​(String message, Throwable cause)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemLogger

    public SystemLogger()

### Method Detail

#### init

    public static void init​(org.osgi.framework.BundleContext bundleContext)

#### destroy

    public static void destroy()

#### debug

    public static void debug​(String message)

#### debug

    public static void debug​(String message,
                             Throwable cause)

#### info

    public static void info​(String message)

#### warning

    public static void warning​(String message)

#### warning

    public static void warning​(String message,
                               Throwable cause)

#### error

    public static void error​(String message)

#### error

    public static void error​(String message,
                             Throwable cause)